Bug 467895 - Packaging error
Packaging error
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xsane (Show other bugs)
9
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-21 11:36 EDT by Kevin DeKorte
Modified: 2009-06-10 12:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-10 12:53:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin DeKorte 2008-10-21 11:36:55 EDT
Description of problem:
install xsane.i386 on x86_64 bit system and xsane does not work

Version-Release number of selected component (if applicable):
xsane-0.995-3.fc9.i386

How reproducible:
100%

Steps to Reproduce:
1. yum install xsane.i386    xsane.i386 and sane-backends-libs.x86_64 installed
2. xsane 
3. xsane crashes due to missing sane-backends-lib
  
Actual results:
xsane.i386 installs correctly, but yum grabs .x86_64 libs for sane-backends-libs

Expected results:
xsane.i386 should install sane-backends-libs.i386

Additional info:
Talked to the yum developers on irc and they said this

<geppetto> kdekorte: file bugs that the packages need to use %{_isa} in their
deps

the i386 packages are needed because I am using the epkowa driver and it is i386 only. After running yum install sane-backends-libs.i386 and then the iscan drivers for my epkowa scanner the scanner works fine on my x86_64 machine.
Comment 1 Bug Zapper 2009-06-09 23:02:34 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Nils Philippsen 2009-06-10 12:53:40 EDT
Should be fixed in F11 by way of the libsane dependency:

nils@gibraltar:~> rpm -q --whatprovides "libsane.so.1()(64bit)"
sane-backends-libs-1.0.19-15.fc11.x86_64
nils@gibraltar:~> rpm -q --whatprovides "libsane.so.1"
sane-backends-libs-1.0.19-15.fc11.i586

Note You need to log in before you can comment on or make changes to this bug.